provisioning templates associated with an org reference snippets not associated with same org

05/14/2014 10:10 PM - Thomas McKay

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1103933 Red Hat JIRA:  

Pull request:    

Description

Unsure what the implications of this are: Will the snippets not be found a build time? Specifically looking at the subscription manager

snippet referenced in katello kickstart.

Related issues:

Related to Foreman - Tracker #6631: Provisioning Template Improvements New 07/16/2014

History

#1 - 05/15/2014 01:05 PM - Lukas Zapletal

Can you ellaborate? Not following.

#2 - 05/16/2014 12:34 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1098521

#3 - 05/20/2014 04:43 PM - Dominic Cleal

- Tracker changed from Bug to Support

- Status changed from New to Resolved

Official answer is undefined behaviour, all associated resources should be available to the organisations you need them in to prevent mismatches.

Unofficially, I expect it depends on the context of where you're using the template.  If triggering an action from the web UI and if you have current

taxonomies then it will probably restrict to those taxonomies (e.g. creating a host and PXE/finish template rendering).  If accessing templates via the

API (e.g. kickstart fetch), I expect they'd resolve.

#4 - 05/20/2014 05:30 PM - Thomas McKay

- Tracker changed from Support to Bug

- Status changed from Resolved to Assigned

Please don't close my issues without discussion. Clearly there is an issue in this area if the behavior is undefined. As this would seem to impact

foretello when orgs and locations are enabled, I would like more justification as to why it won't be addressed as a bug. Thanks you.

#5 - 05/20/2014 05:38 PM - Dominic Cleal

- Status changed from Assigned to Feedback

If snippets are associated to the same org(s) as the templates, then they should resolve.  Is the bug description implying that this isn't occurring?

#6 - 05/20/2014 09:44 PM - Thomas McKay

The scenario is that only the templates were in an org, not the referenced snippets. So a couple of questions:

1) If a template references a snippet that the user cannot see due to permissions, what will happen? What should happen?

2) If a template references a snippet that does not belong to the same org, what will happen? What should happen?

3) If a template references a snippet that does not exist at all, what will happen? What should happen?
#7 - 06/02/2014 11:41 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103933

#8 - 07/16/2014 05:44 AM - Stephen Benjamin

- Related to Tracker #6631: Provisioning Template Improvements added

#9 - 04/27/2015 04:34 PM - Thomas McKay

- Status changed from Feedback to New
